
Redmine - Patch #26548

Rails5 acts_as_versioned fix

2017-07-26 22:54 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Description

fixed migration for r16889

Associated revisions

Revision 16893 - 2017-07-27 06:05 - Toshi MARUYAMA

fix db migrate broken by r16889 (#26548)

Contributed by Pavel Rosický.

History

#1 - 2017-07-27 00:25 - Go MAEDA

- Target version set to 4.0.0

This patch fixes the following error that occurs during "rake db:migrate".

== 41 RenameCommentToComments: migrating ======================================

rake aborted!

StandardError: An error has occurred, this and all later migrations canceled:

undefined method `versioned_table_name' for #<Class:0x007ff08f20fb20>

#2 - 2017-07-27 04:55 - Toshi MARUYAMA

- Description updated

#3 - 2017-07-27 06:05 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (4.0.0)

Committed in trunk r16893, thanks.
